UISelector (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.ajax4jsf.component.UISelector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class UISelector

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.ajax4jsf.component.UISelector

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

    public abstract class UISelector

extends javax.faces.component.UIComponentBase
implements org.ajax4jsf.component.AjaxDataEncoder

Base class for component, performed AJAX encoding on selected values in iterable components ( UIData, trees etc )

Author:
  shura

Field Summary

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UISelector()`

Method Summary
`void` | `encodeAjaxChild(javax.faces.context.FacesContext context, java.lang.String path, java.util.Set ids, java.util.Set renderedAreas)`
`abstract java.lang.String` | `getIterationProperty()` Name of serRow ( or simple ) method for setup current value in iterable component
`abstract void` | `setIterationProperty(java.lang.String newSelectMethod)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxDataEncoder
`getAjaxKeys, setAjaxKeys`

Constructor Detail

### UISelector

    public UISelector()

Method Detail

### getIterationProperty

    public abstract java.lang.String getIterationProperty()

  Name of serRow ( or simple ) method for setup current value in iterable component

  Returns:
    the acceptClass

### setIterationProperty

    public abstract void setIterationProperty(java.lang.String newSelectMethod)

  Parameters:
    `newSelectMethod` - the value to set

### encodeAjaxChild

    public void encodeAjaxChild(javax.faces.context.FacesContext context,
                                java.lang.String path,
                                java.util.Set ids,
                                java.util.Set renderedAreas)
                         throws java.io.IOException

  Specified by:
    `encodeAjaxChild` in interface `org.ajax4jsf.component.AjaxChildrenEncoder`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.